Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class Query.SortPredicate

    java.lang.Object
      com.google.appengine.api.datastore.Query.SortPredicate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Query

    public static final class Query.SortPredicate

extends java.lang.Object
implements java.io.Serializable

SortPredicate is a data container that holds a single sort predicate.

See Also:
  Serialized Form

Constructor Summary
`Query.SortPredicate(java.lang.String propertyName, Query.SortDirection direction)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Query.SortDirection` | `getDirection()` Gets the direction of the sort.
`java.lang.String` | `getPropertyName()` Gets the name of the property to sort on.
`int` | `hashCode()`
`Query.SortPredicate` | `reverse()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Query.SortPredicate

    public Query.SortPredicate(java.lang.String propertyName,
                               Query.SortDirection direction)

Method Detail

### reverse

    public Query.SortPredicate reverse()

  Returns:
    A sort predicate with the direction reversed.

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the name of the property to sort on.

### getDirection

    public Query.SortDirection getDirection()

  Gets the direction of the sort.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD